commit:     19dd2d56ba119308a1efade691e788b3c233ca81
Author:     Leonardo Hernández Hernández <leohdz172 <AT> outlook <DOT> com>
AuthorDate: Sun Jul 31 18:14:34 2022 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Sun Jul 31 18:15:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=19dd2d56

gui-apps/fnott: add 9999

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> outlook.com>

 gui-apps/fnott/fnott-9999.ebuild | 46 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gui-apps/fnott/fnott-9999.ebuild b/gui-apps/fnott/fnott-9999.ebuild
new file mode 100644
index 000000000..5f1d72055
--- /dev/null
+++ b/gui-apps/fnott/fnott-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Keyboard driven and lightweight Wayland notification daemon."
+HOMEPAGE="https://codeberg.org/dnkl/fnott";
+
+if [ "${PV}" -eq "9999" ]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://codeberg.org/dnkl/fnott.git";
+else
+       SRC_URI="https://codeberg.org/dnkl/fnott/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}/${PN}"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT ZLIB"
+SLOT="0"
+
+DEPEND="
+       x11-libs/pixman
+       media-libs/libpng
+       dev-libs/wayland
+       sys-apps/dbus
+       media-libs/fcft
+       media-libs/freetype
+       media-libs/fontconfig
+"
+RDEPEND="${DEPEND}
+"
+BDEPEND="
+       dev-util/wayland-scanner
+       dev-libs/wayland-protocols
+       app-text/scdoc
+       dev-libs/tllist
+"
+
+src_install() {
+       local DOCS=( CHANGELOG.md README.md )
+       meson_src_install
+
+       rm -r "${ED}"/usr/share/doc/"${PN}" || die
+}

Reply via email to